Index: org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.app/pom.xml
===================================================================
--- org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.app/pom.xml	(revision 9345)
+++ org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.app/pom.xml	(revision 9346)
@@ -9,7 +9,7 @@
 	<parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.complexlegend</artifactId>
-		<version>1.0.233-SNAPSHOT</version>
+		<version>1.0.233</version>
 	</parent>
 	<dependencyManagement>
 		<dependencies>
Index: org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.app/org.gvsig.complexlegend.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.app/org.gvsig.complexlegend.app.mainplugin/pom.xml	(revision 9345)
+++ org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.app/org.gvsig.complexlegend.app.mainplugin/pom.xml	(revision 9346)
@@ -11,7 +11,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.complexlegend.app</artifactId>
-      <version>1.0.233-SNAPSHOT</version>
+      <version>1.0.233</version>
   </parent>
 
   <dependencies>
Index: org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/pom.xml
===================================================================
--- org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/pom.xml	(revision 9345)
+++ org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/pom.xml	(revision 9346)
@@ -3,7 +3,7 @@
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>org.gvsig.complexlegend</artifactId>
 	<packaging>pom</packaging>
-	<version>1.0.233-SNAPSHOT</version>
+	<version>1.0.233</version>
 	<name>org.gvsig.complexlegend</name>
 	<description>complex legend extension</description>
 	<parent>
@@ -13,9 +13,9 @@
 	</parent>
     <url>http://devel.gvsig.org/sites/org.gvsig.complexlegend/${project.version}</url>
  	<scm>
-        <connection>scm:svn:http://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.complexlegend/trunk</connection>
-        <developerConnection>scm:svn:http://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.complexlegend/trunk</developerConnection>
-        <url>http://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.complexlegend/trunk</url>
+        <connection>scm:svn:http://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.complexlegend/tags/org.gvsig.complexlegend-1.0.233</connection>
+        <developerConnection>scm:svn:http://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.complexlegend/tags/org.gvsig.complexlegend-1.0.233</developerConnection>
+        <url>http://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.complexlegend/tags/org.gvsig.complexlegend-1.0.233</url>
     </scm>
 	<developers>
 		<developer>
@@ -75,34 +75,34 @@
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.complexlegend.lib.api</artifactId>
-				<version>1.0.233-SNAPSHOT</version>
+				<version>1.0.233</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.complexlegend.lib.api</artifactId>
-				<version>1.0.233-SNAPSHOT</version>
+				<version>1.0.233</version>
 				<type>test-jar</type>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.complexlegend.lib.impl</artifactId>
-				<version>1.0.233-SNAPSHOT</version>
+				<version>1.0.233</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.complexlegend.swing.api</artifactId>
-				<version>1.0.233-SNAPSHOT</version>
+				<version>1.0.233</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.complexlegend.swing.api</artifactId>
-				<version>1.0.233-SNAPSHOT</version>
+				<version>1.0.233</version>
 				<type>test-jar</type>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.complexlegend.swing.impl</artifactId>
-				<version>1.0.233-SNAPSHOT</version>
+				<version>1.0.233</version>
 			</dependency>
 		</dependencies>
 	</dependencyManagement>
Index: org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.lib/org.gvsig.complexlegend.lib.api/pom.xml
===================================================================
--- org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.lib/org.gvsig.complexlegend.lib.api/pom.xml	(revision 9345)
+++ org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.lib/org.gvsig.complexlegend.lib.api/pom.xml	(revision 9346)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.complexlegend.lib</artifactId>
-		<version>1.0.233-SNAPSHOT</version>
+		<version>1.0.233</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.lib/pom.xml
===================================================================
--- org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.lib/pom.xml	(revision 9345)
+++ org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.lib/pom.xml	(revision 9346)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.complexlegend</artifactId>
-		<version>1.0.233-SNAPSHOT</version>
+		<version>1.0.233</version>
 	</parent>
 	<dependencies>
 	</dependencies>
Index: org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.lib/org.gvsig.complexlegend.lib.impl/pom.xml
===================================================================
--- org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.lib/org.gvsig.complexlegend.lib.impl/pom.xml	(revision 9345)
+++ org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.lib/org.gvsig.complexlegend.lib.impl/pom.xml	(revision 9346)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.complexlegend.lib</artifactId>
-		<version>1.0.233-SNAPSHOT</version>
+		<version>1.0.233</version>
 	</parent>
 
 	<dependencies>
Index: org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.swing/org.gvsig.complexlegend.swing.api/pom.xml
===================================================================
--- org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.swing/org.gvsig.complexlegend.swing.api/pom.xml	(revision 9345)
+++ org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.swing/org.gvsig.complexlegend.swing.api/pom.xml	(revision 9346)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.complexlegend.swing</artifactId>
-		<version>1.0.233-SNAPSHOT</version>
+		<version>1.0.233</version>
 	</parent>
 	<build>
 		<plugins>
Index: org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.swing/pom.xml
===================================================================
--- org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.swing/pom.xml	(revision 9345)
+++ org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.swing/pom.xml	(revision 9346)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.complexlegend</artifactId>
-		<version>1.0.233-SNAPSHOT</version>
+		<version>1.0.233</version>
 	</parent>
 
 	<modules>
Index: org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.swing/org.gvsig.complexlegend.swing.impl/pom.xml
===================================================================
--- org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.swing/org.gvsig.complexlegend.swing.impl/pom.xml	(revision 9345)
+++ org.gvsig.complexlegend/trunk/org.gvsig.complexlegend/org.gvsig.complexlegend.swing/org.gvsig.complexlegend.swing.impl/pom.xml	(revision 9346)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.complexlegend.swing</artifactId>
-		<version>1.0.233-SNAPSHOT</version>
+		<version>1.0.233</version>
 	</parent>
 	<dependencies>
 		<dependency>