Index: org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.app/org.gvsig.legend.aggregate.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.app/org.gvsig.legend.aggregate.app.mainplugin/pom.xml	(revision 9355)
+++ org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.app/org.gvsig.legend.aggregate.app.mainplugin/pom.xml	(revision 9356)
@@ -3,11 +3,11 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.aggregate.app</artifactId>
-    <version>1.0.170</version>
+    <version>1.0.171-SNAPSHOT</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.aggregate.app.mainplugin</artifactId>
-  <version>1.0.170</version>
+  <version>1.0.171-SNAPSHOT</version>
   <name>org.gvsig.legend.aggregate.app.mainplugin</name>
 
     <properties>
Index: org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.app/pom.xml
===================================================================
--- org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.app/pom.xml	(revision 9355)
+++ org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.app/pom.xml	(revision 9356)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.aggregate</artifactId>
-    <version>1.0.170</version>
+    <version>1.0.171-SNAPSHOT</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.aggregate.app</artifactId>
Index: org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/pom.xml
===================================================================
--- org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/pom.xml	(revision 9355)
+++ org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/pom.xml	(revision 9356)
@@ -2,7 +2,7 @@
   <modelVersion>4.0.0</modelVersion>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.aggregate</artifactId>
-  <version>1.0.170</version>
+  <version>1.0.171-SNAPSHOT</version>
   <packaging>pom</packaging>
   <name>${project.artifactId}</name>
   <description>Legend for aggregate text symbols that are near.</description>
@@ -14,9 +14,9 @@
 
   <url>https://devel.gvsig.org/sites/org.gvsig.legend.aggregate/${project.version}</url>
   <scm>
-    <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.legend.aggregate/tags/org.gvsig.legend.aggregate-1.0.170</connection>
-    <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.legend.aggregate/tags/org.gvsig.legend.aggregate-1.0.170</developerConnection>
-    <url>https://devel.gvsig.org/redmine/projects/gvsig-base-legends/repository/show/org.gvsig.legend.aggregate/tags/org.gvsig.legend.aggregate-1.0.170</url>
+    <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.legend.aggregate/trunk/${project.artifactId}</connection>
+    <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.legend.aggregate/trunk/${project.artifactId}</developerConnection>
+    <url>https://devel.gvsig.org/redmine/projects/gvsig-base-legends/repository/show/org.gvsig.legend.aggregate/trunk/${project.artifactId}</url>
   </scm>
   <repositories>
     <repository>
@@ -62,27 +62,27 @@
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.legend.aggregate.lib.api</artifactId>
-        <version>1.0.170</version>
+        <version>1.0.171-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.legend.aggregate.lib.impl</artifactId>
-        <version>1.0.170</version>
+        <version>1.0.171-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.legend.aggregate.swing.api</artifactId>
-        <version>1.0.170</version>
+        <version>1.0.171-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.legend.aggregate.swing.impl</artifactId>
-        <version>1.0.170</version>
+        <version>1.0.171-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.legend.aggregate.app.mainplugin</artifactId>
-        <version>1.0.170</version>
+        <version>1.0.171-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.jfree</groupId>
Index: org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.lib/pom.xml
===================================================================
--- org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.lib/pom.xml	(revision 9355)
+++ org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.lib/pom.xml	(revision 9356)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.aggregate</artifactId>
-    <version>1.0.170</version>
+    <version>1.0.171-SNAPSHOT</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.aggregate.lib</artifactId>
Index: org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.lib/org.gvsig.legend.aggregate.lib.impl/pom.xml
===================================================================
--- org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.lib/org.gvsig.legend.aggregate.lib.impl/pom.xml	(revision 9355)
+++ org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.lib/org.gvsig.legend.aggregate.lib.impl/pom.xml	(revision 9356)
@@ -5,7 +5,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.aggregate.lib</artifactId>
-    <version>1.0.170</version>
+    <version>1.0.171-SNAPSHOT</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <dependencies>
Index: org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.lib/org.gvsig.legend.aggregate.lib.api/pom.xml
===================================================================
--- org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.lib/org.gvsig.legend.aggregate.lib.api/pom.xml	(revision 9355)
+++ org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.lib/org.gvsig.legend.aggregate.lib.api/pom.xml	(revision 9356)
@@ -6,7 +6,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.aggregate.lib</artifactId>
-    <version>1.0.170</version>
+    <version>1.0.171-SNAPSHOT</version>
   </parent>
 
   <build>
Index: org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.swing/org.gvsig.legend.aggregate.swing.api/pom.xml
===================================================================
--- org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.swing/org.gvsig.legend.aggregate.swing.api/pom.xml	(revision 9355)
+++ org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.swing/org.gvsig.legend.aggregate.swing.api/pom.xml	(revision 9356)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.aggregate.swing</artifactId>
-    <version>1.0.170</version>
+    <version>1.0.171-SNAPSHOT</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.aggregate.swing.api</artifactId>
Index: org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.swing/pom.xml
===================================================================
--- org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.swing/pom.xml	(revision 9355)
+++ org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.swing/pom.xml	(revision 9356)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.aggregate</artifactId>
-    <version>1.0.170</version>
+    <version>1.0.171-SNAPSHOT</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.aggregate.swing</artifactId>
Index: org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.swing/org.gvsig.legend.aggregate.swing.impl/pom.xml
===================================================================
--- org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.swing/org.gvsig.legend.aggregate.swing.impl/pom.xml	(revision 9355)
+++ org.gvsig.legend.aggregate/trunk/org.gvsig.legend.aggregate/org.gvsig.legend.aggregate.swing/org.gvsig.legend.aggregate.swing.impl/pom.xml	(revision 9356)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.aggregate.swing</artifactId>
-    <version>1.0.170</version>
+    <version>1.0.171-SNAPSHOT</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.aggregate.swing.impl</artifactId>