Index: org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.fmap/pom.xml
===================================================================
--- org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.fmap/pom.xml	(revision 15455)
+++ org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.fmap/pom.xml	(revision 15456)
@@ -9,7 +9,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster</artifactId>
-		<version>2.2.173</version>
+		<version>2.2.174-SNAPSHOT</version>
 	</parent>	
 	<dependencies>
         <dependency>
Index: org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.algorithm/pom.xml
===================================================================
--- org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.algorithm/pom.xml	(revision 15455)
+++ org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.algorithm/pom.xml	(revision 15456)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster</artifactId>
-		<version>2.2.173</version>
+		<version>2.2.174-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/pom.xml
===================================================================
--- org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/pom.xml	(revision 15455)
+++ org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/pom.xml	(revision 15456)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.lib</artifactId>
-		<version>2.2.173</version>
+		<version>2.2.174-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.impl/pom.xml
===================================================================
--- org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.impl/pom.xml	(revision 15455)
+++ org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.impl/pom.xml	(revision 15456)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.lib</artifactId>
-		<version>2.2.173</version>
+		<version>2.2.174-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.lib/pom.xml
===================================================================
--- org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.lib/pom.xml	(revision 15455)
+++ org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.lib/pom.xml	(revision 15456)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster</artifactId>
-		<version>2.2.173</version>
+		<version>2.2.174-SNAPSHOT</version>
 	</parent>
 	<modules>
 		<module>org.gvsig.raster.lib.api</module>
Index: org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.swing/org.gvsig.raster.swing.api/pom.xml
===================================================================
--- org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.swing/org.gvsig.raster.swing.api/pom.xml	(revision 15455)
+++ org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.swing/org.gvsig.raster.swing.api/pom.xml	(revision 15456)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.swing</artifactId>
-		<version>2.2.173</version>
+		<version>2.2.174-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.swing/org.gvsig.raster.swing.impl/pom.xml
===================================================================
--- org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.swing/org.gvsig.raster.swing.impl/pom.xml	(revision 15455)
+++ org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.swing/org.gvsig.raster.swing.impl/pom.xml	(revision 15456)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.swing</artifactId>
-		<version>2.2.173</version>
+		<version>2.2.174-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.swing/pom.xml
===================================================================
--- org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.swing/pom.xml	(revision 15455)
+++ org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.swing/pom.xml	(revision 15456)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster</artifactId>
-		<version>2.2.173</version>
+		<version>2.2.174-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster/trunk/org.gvsig.raster/pom.xml
===================================================================
--- org.gvsig.raster/trunk/org.gvsig.raster/pom.xml	(revision 15455)
+++ org.gvsig.raster/trunk/org.gvsig.raster/pom.xml	(revision 15456)
@@ -5,7 +5,7 @@
     <modelVersion>4.0.0</modelVersion>
     <artifactId>org.gvsig.raster</artifactId>
     <packaging>pom</packaging>
-    <version>2.2.173</version>
+    <version>2.2.174-SNAPSHOT</version>
     <name>${project.artifactId} (old)</name>
     <description>Raster support library</description>
     <parent>
@@ -20,9 +20,9 @@
     </properties>
 
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster/tags/org.gvsig.raster-2.2.173</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster/tags/org.gvsig.raster-2.2.173</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster/tags/org.gvsig.raster-2.2.173</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster/trunk/org.gvsig.raster</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster/trunk/org.gvsig.raster</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster/trunk/org.gvsig.raster</url>
     </scm>
 
     <repositories>
@@ -81,37 +81,37 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.lib.api</artifactId>
-                <version>2.2.173</version>
+                <version>2.2.174-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.lib.impl</artifactId>
-                <version>2.2.173</version>
+                <version>2.2.174-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.swing.api</artifactId>
-                <version>2.2.173</version>
+                <version>2.2.174-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.swing.impl</artifactId>
-                <version>2.2.173</version>
+                <version>2.2.174-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.fmap</artifactId>
-                <version>2.2.173</version>
+                <version>2.2.174-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.algorithm</artifactId>
-                <version>2.2.173</version>
+                <version>2.2.174-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.app.common</artifactId>
-                <version>2.2.173</version>
+                <version>2.2.174-SNAPSHOT</version>
             </dependency>
 
         </dependencies>
Index: org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.app/org.gvsig.raster.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.app/org.gvsig.raster.app.mainplugin/pom.xml	(revision 15455)
+++ org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.app/org.gvsig.raster.app.mainplugin/pom.xml	(revision 15456)
@@ -8,7 +8,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.raster.app</artifactId>
-        <version>2.2.173</version>
+        <version>2.2.174-SNAPSHOT</version>
     </parent>
 
     <dependencies>
Index: org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.app/org.gvsig.raster.app.common/pom.xml
===================================================================
--- org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.app/org.gvsig.raster.app.common/pom.xml	(revision 15455)
+++ org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.app/org.gvsig.raster.app.common/pom.xml	(revision 15456)
@@ -8,7 +8,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.raster.app</artifactId>
-        <version>2.2.173</version>
+        <version>2.2.174-SNAPSHOT</version>
     </parent>
     
     <dependencies>
Index: org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.app/pom.xml
===================================================================
--- org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.app/pom.xml	(revision 15455)
+++ org.gvsig.raster/trunk/org.gvsig.raster/org.gvsig.raster.app/pom.xml	(revision 15456)
@@ -9,7 +9,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.raster</artifactId>
-      <version>2.2.173</version>
+      <version>2.2.174-SNAPSHOT</version>
   </parent>
   
   <properties>
@@ -35,7 +35,7 @@
         <dependency>
           <groupId>org.gvsig</groupId>
           <artifactId>org.gvsig.raster.app.common</artifactId>
-          <version>2.2.173</version>
+          <version>2.2.174-SNAPSHOT</version>
           <type>zip</type>
         </dependency>
       </dependencies>