Index: org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache/org.gvsig.raster.tilecache.io/pom.xml
===================================================================
--- org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache/org.gvsig.raster.tilecache.io/pom.xml	(revision 15509)
+++ org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache/org.gvsig.raster.tilecache.io/pom.xml	(revision 15510)
@@ -3,12 +3,12 @@
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>org.gvsig.raster.tilecache.io</artifactId>
 	<packaging>jar</packaging>
-	<version>2.2.150</version>
+	<version>2.2.151-SNAPSHOT</version>
 	<name>org.gvsig.raster.tilecache.io</name>
 	<parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.raster.tilecache</artifactId>
-        <version>2.2.150</version>
+        <version>2.2.151-SNAPSHOT</version>
     </parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache/pom.xml
===================================================================
--- org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache/pom.xml	(revision 15509)
+++ org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache/pom.xml	(revision 15510)
@@ -4,7 +4,7 @@
 	<artifactId>org.gvsig.raster.tilecache</artifactId>
 	<packaging>pom</packaging>
 	<groupId>org.gvsig</groupId>
-	<version>2.2.150</version>
+	<version>2.2.151-SNAPSHOT</version>
 	<name>${project.artifactId}</name>
 	<description>cache service for gvSIG</description>
 	<inceptionYear>2011</inceptionYear>
@@ -39,9 +39,9 @@
     </repositories>
     
      <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.tilecache/tags/org.gvsig.raster.tilecache-2.2.150</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.tilecache/tags/org.gvsig.raster.tilecache-2.2.150</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster.tilecache/tags/org.gvsig.raster.tilecache-2.2.150</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache</url>
     </scm>
     
     <build>
@@ -70,12 +70,12 @@
     	<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.raster.tilecache.io</artifactId>
-				<version>2.2.150</version>
+				<version>2.2.151-SNAPSHOT</version>
 			</dependency>
     	<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.raster.tilecache.app</artifactId>
-				<version>2.2.150</version>
+				<version>2.2.151-SNAPSHOT</version>
 			</dependency>
 
     	</dependencies>
Index: org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache/org.gvsig.raster.tilecache.app/pom.xml
===================================================================
--- org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache/org.gvsig.raster.tilecache.app/pom.xml	(revision 15509)
+++ org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache/org.gvsig.raster.tilecache.app/pom.xml	(revision 15510)
@@ -9,12 +9,12 @@
 	<parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.raster.tilecache</artifactId>
-      <version>2.2.150</version>
+      <version>2.2.151-SNAPSHOT</version>
     </parent>
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.tilecache/tags/org.gvsig.raster.tilecache-2.2.150/org.gvsig.raster.tilecache.app</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.tilecache/tags/org.gvsig.raster.tilecache-2.2.150/org.gvsig.raster.tilecache.app</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster.tilecache/tags/org.gvsig.raster.tilecache-2.2.150/org.gvsig.raster.tilecache.app</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache/org.gvsig.raster.tilecache.app</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache/org.gvsig.raster.tilecache.app</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster.tilecache/trunk/org.gvsig.raster.tilecache/org.gvsig.raster.tilecache.app</url>
     </scm>
 	<dependencies>
          <dependency>