Index: org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.io/pom.xml
===================================================================
--- org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.io/pom.xml	(revision 15523)
+++ org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.io/pom.xml	(revision 15524)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.wmts</artifactId>
-		<version>2.2.151-SNAPSHOT</version>
+		<version>2.2.151</version>
 	</parent>
 	
 	<dependencies>
Index: org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.swing/pom.xml
===================================================================
--- org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.swing/pom.xml	(revision 15523)
+++ org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.swing/pom.xml	(revision 15524)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.wmts</artifactId>
-		<version>2.2.151-SNAPSHOT</version>
+		<version>2.2.151</version>
 	</parent>
 	<dependencies>
 	    <dependency>
Index: org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.swing/org.gvsig.raster.wmts.swing.api/pom.xml
===================================================================
--- org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.swing/org.gvsig.raster.wmts.swing.api/pom.xml	(revision 15523)
+++ org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.swing/org.gvsig.raster.wmts.swing.api/pom.xml	(revision 15524)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.wmts.swing</artifactId>
-		<version>2.2.151-SNAPSHOT</version>
+		<version>2.2.151</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.swing/org.gvsig.raster.wmts.swing.impl/pom.xml
===================================================================
--- org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.swing/org.gvsig.raster.wmts.swing.impl/pom.xml	(revision 15523)
+++ org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.swing/org.gvsig.raster.wmts.swing.impl/pom.xml	(revision 15524)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.wmts.swing</artifactId>
-		<version>2.2.151-SNAPSHOT</version>
+		<version>2.2.151</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.app.wmtsclient/pom.xml
===================================================================
--- org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.app.wmtsclient/pom.xml	(revision 15523)
+++ org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.app.wmtsclient/pom.xml	(revision 15524)
@@ -10,7 +10,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.wmts</artifactId>
-		<version>2.2.151-SNAPSHOT</version>
+		<version>2.2.151</version>
 	</parent>
 	
 	<dependencies>
Index: org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.ogc/org.gvsig.raster.wmts.ogc.impl/pom.xml
===================================================================
--- org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.ogc/org.gvsig.raster.wmts.ogc.impl/pom.xml	(revision 15523)
+++ org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.ogc/org.gvsig.raster.wmts.ogc.impl/pom.xml	(revision 15524)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.wmts.ogc</artifactId>
-		<version>2.2.151-SNAPSHOT</version>
+		<version>2.2.151</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.ogc/pom.xml
===================================================================
--- org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.ogc/pom.xml	(revision 15523)
+++ org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.ogc/pom.xml	(revision 15524)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.wmts</artifactId>
-		<version>2.2.151-SNAPSHOT</version>
+		<version>2.2.151</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.ogc/org.gvsig.raster.wmts.ogc.api/pom.xml
===================================================================
--- org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.ogc/org.gvsig.raster.wmts.ogc.api/pom.xml	(revision 15523)
+++ org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/org.gvsig.raster.wmts.ogc/org.gvsig.raster.wmts.ogc.api/pom.xml	(revision 15524)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.wmts.ogc</artifactId>
-		<version>2.2.151-SNAPSHOT</version>
+		<version>2.2.151</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/pom.xml
===================================================================
--- org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/pom.xml	(revision 15523)
+++ org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts/pom.xml	(revision 15524)
@@ -3,7 +3,7 @@
     <modelVersion>4.0.0</modelVersion>
     <artifactId>org.gvsig.raster.wmts</artifactId>
     <packaging>pom</packaging>
-    <version>2.2.151-SNAPSHOT</version>
+    <version>2.2.151</version>
     <name>${project.artifactId}</name>
     <description>WMTS client</description>
     <inceptionYear>2011</inceptionYear>
@@ -39,9 +39,9 @@
     </repositories>
     
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster.wmts/trunk/org.gvsig.raster.wmts</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.wmts/tags/org.gvsig.raster.wmts-2.2.151</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.wmts/tags/org.gvsig.raster.wmts-2.2.151</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster.wmts/tags/org.gvsig.raster.wmts-2.2.151</url>
     </scm>
     
     <dependencyManagement>
@@ -57,32 +57,32 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.wmts.swing.api</artifactId>
-                <version>2.2.151-SNAPSHOT</version>
+                <version>2.2.151</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.wmts.swing.impl</artifactId>
-                <version>2.2.151-SNAPSHOT</version>
+                <version>2.2.151</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.wmts.ogc.api</artifactId>
-                <version>2.2.151-SNAPSHOT</version>
+                <version>2.2.151</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.wmts.ogc.impl</artifactId>
-                <version>2.2.151-SNAPSHOT</version>
+                <version>2.2.151</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.wmts.app.wmtsclient</artifactId>
-                <version>2.2.151-SNAPSHOT</version>
+                <version>2.2.151</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.raster.wmts.io</artifactId>
-                <version>2.2.151-SNAPSHOT</version>
+                <version>2.2.151</version>
             </dependency>
 
         </dependencies>