Index: branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15597Test.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15597Test.java	(revision 38082)
+++ branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15597Test.java	(revision 38083)
@@ -39,6 +39,7 @@
 import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.GeometryLocator;
 import org.gvsig.fmap.geom.GeometryManager;
+import org.gvsig.fmap.geom.type.GeometryType;
 import org.gvsig.tools.dispose.DisposableIterator;
 import org.gvsig.tools.library.impl.DefaultLibrariesInitializer;
 
@@ -55,12 +56,15 @@
     public void testBug15642() throws Exception {
         new DefaultLibrariesInitializer().fullInitialize();
         DataManager manager = DALLocator.getDataManager();
+        GeometryManager geometryManager = GeometryLocator.getGeometryManager();
 
         //Create a feature type with two fields: "geom" and "field1"
         EditableFeatureType type = new DefaultEditableFeatureType();
+        GeometryType geometryType =
+            geometryManager.getGeometryType(Geometry.TYPES.POINT,
+                Geometry.SUBTYPES.GEOM2D);
         type.add("geom", org.gvsig.fmap.geom.DataTypes.GEOMETRY)
-            .setGeometryType(Geometry.TYPES.POINT)
-            .setGeometrySubType(Geometry.SUBTYPES.GEOM2D);
+            .setGeometryType(geometryType);
         type.setDefaultGeometryAttributeName("geom");
         type.add("field1", DataTypes.STRING).setSize(2);
        
@@ -80,8 +84,6 @@
         //Edit the store and add a new Feature.
         store.edit();
              
-        GeometryManager geometryManager = GeometryLocator.getGeometryManager();
-        
         EditableFeature feature1 = store.createNewFeature().getEditable();
         feature1.setGeometry(type.getDefaultGeometryAttributeIndex(), 
             geometryManager.createPoint(0, 0, SUBTYPES.GEOM2D));
Index: branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15642Test.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15642Test.java	(revision 38082)
+++ branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15642Test.java	(revision 38083)
@@ -41,6 +41,7 @@
 import org.gvsig.fmap.geom.operation.GeometryOperation;
 import org.gvsig.fmap.geom.operation.GeometryOperationContext;
 import org.gvsig.fmap.geom.operation.fromjts.FromJTS;
+import org.gvsig.fmap.geom.type.GeometryType;
 import org.gvsig.tools.library.impl.DefaultLibrariesInitializer;
 
 /**
@@ -55,11 +56,14 @@
     public void testBug15642() throws Exception {
         new DefaultLibrariesInitializer().fullInitialize();
         DataManager manager = DALLocator.getDataManager();
+        GeometryManager geometryManager = GeometryLocator.getGeometryManager();
 
         EditableFeatureType type = new DefaultEditableFeatureType();
+        GeometryType geometryType =
+            geometryManager.getGeometryType(Geometry.TYPES.POINT,
+                Geometry.SUBTYPES.GEOM2D);
         type.add("geom", org.gvsig.fmap.geom.DataTypes.GEOMETRY)
-            .setGeometryType(Geometry.TYPES.POINT)
-            .setGeometrySubType(Geometry.SUBTYPES.GEOM2D);
+            .setGeometryType(geometryType);
         type.setDefaultGeometryAttributeName("geom");
         type.add("float", DataTypes.FLOAT).setSize(5);
         type.add("long", DataTypes.LONG).setSize(5);
@@ -82,7 +86,6 @@
         com.vividsolutions.jts.geom.Geometry g =
             new GeometryFactory().createPoint(new Coordinate(0, 0));
 
-        GeometryManager geometryManager = GeometryLocator.getGeometryManager();
         int opCode = geometryManager.getGeometryOperationCode(FromJTS.NAME);
         GeometryOperation converter =
             geometryManager.getGeometryOperation(opCode, Geometry.TYPES.POINT,
@@ -100,10 +103,9 @@
         FeatureAttributeDescriptor defaultGeometryAttribute =
             store.getDefaultFeatureType().getDefaultGeometryAttribute();
 
-        assertEquals(Geometry.TYPES.POINT,
-            defaultGeometryAttribute.getGeometryType());
-        assertEquals(Geometry.SUBTYPES.GEOM2D,
-            defaultGeometryAttribute.getGeometrySubType());
+        geometryType = defaultGeometryAttribute.getGeomType();
+        assertEquals(Geometry.TYPES.POINT, geometryType.getType());
+        assertEquals(Geometry.SUBTYPES.GEOM2D, geometryType.getSubType());
 
         store.dispose();
     }
Index: branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15643Test.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15643Test.java	(revision 38082)
+++ branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15643Test.java	(revision 38083)
@@ -41,6 +41,7 @@
 import org.gvsig.fmap.geom.operation.GeometryOperation;
 import org.gvsig.fmap.geom.operation.GeometryOperationContext;
 import org.gvsig.fmap.geom.operation.fromjts.FromJTS;
+import org.gvsig.fmap.geom.type.GeometryType;
 import org.gvsig.tools.exception.BaseException;
 import org.gvsig.tools.library.impl.DefaultLibrariesInitializer;
 import org.gvsig.tools.visitor.VisitCanceledException;
@@ -58,11 +59,14 @@
     public void testBug15643() throws Exception {
         new DefaultLibrariesInitializer().fullInitialize();
         DataManager manager = DALLocator.getDataManager();
+        GeometryManager geometryManager = GeometryLocator.getGeometryManager();
 
         EditableFeatureType type = new DefaultEditableFeatureType();
+        GeometryType geometryType =
+            geometryManager.getGeometryType(Geometry.TYPES.POINT,
+                Geometry.SUBTYPES.GEOM2D);
         type.add("geom", org.gvsig.fmap.geom.DataTypes.GEOMETRY)
-            .setGeometryType(Geometry.TYPES.POINT)
-            .setGeometrySubType(Geometry.SUBTYPES.GEOM2D);
+            .setGeometryType(geometryType);
         type.setDefaultGeometryAttributeName("geom");
         type.add("float", DataTypes.FLOAT).setSize(5);
         type.add("double", DataTypes.DOUBLE).setSize(5);
@@ -87,7 +91,6 @@
         com.vividsolutions.jts.geom.Geometry g =
             new GeometryFactory().createPoint(new Coordinate(0, 0));
 
-        GeometryManager geometryManager = GeometryLocator.getGeometryManager();
         int opCode = geometryManager.getGeometryOperationCode(FromJTS.NAME);
         GeometryOperation converter =
             geometryManager.getGeometryOperation(opCode, Geometry.TYPES.POINT,
Index: branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15670Test.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15670Test.java	(revision 38082)
+++ branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15670Test.java	(revision 38083)
@@ -25,7 +25,6 @@
 
 import org.gvsig.fmap.dal.DALLocator;
 import org.gvsig.fmap.dal.DataManager;
-import org.gvsig.fmap.dal.DataTypes;
 import org.gvsig.fmap.dal.feature.EditableFeature;
 import org.gvsig.fmap.dal.feature.EditableFeatureType;
 import org.gvsig.fmap.dal.feature.Feature;
@@ -34,7 +33,9 @@
 import org.gvsig.fmap.dal.feature.impl.DefaultEditableFeatureType;
 import org.gvsig.fmap.geom.Geometry;
 import org.gvsig.fmap.geom.GeometryLocator;
+import org.gvsig.fmap.geom.GeometryManager;
 import org.gvsig.fmap.geom.primitive.Point;
+import org.gvsig.fmap.geom.type.GeometryType;
 import org.gvsig.tools.exception.BaseException;
 import org.gvsig.tools.library.impl.DefaultLibrariesInitializer;
 import org.gvsig.tools.visitor.VisitCanceledException;
@@ -52,11 +53,14 @@
     public void testBug15670() throws Exception {
         new DefaultLibrariesInitializer().fullInitialize();
         DataManager manager = DALLocator.getDataManager();
+        GeometryManager geometryManager = GeometryLocator.getGeometryManager();
 
         EditableFeatureType type = new DefaultEditableFeatureType();
-        type.add("GEOMETRY", DataTypes.GEOMETRY)
-            .setGeometryType(Geometry.TYPES.POINT)
-            .setGeometrySubType(Geometry.SUBTYPES.GEOM2D);
+        GeometryType geometryType =
+            geometryManager.getGeometryType(Geometry.TYPES.POINT,
+                Geometry.SUBTYPES.GEOM2D);
+        type.add("geom", org.gvsig.fmap.geom.DataTypes.GEOMETRY)
+            .setGeometryType(geometryType);
         type.setDefaultGeometryAttributeName("GEOMETRY");
 
         NewFeatureStoreParameters destParams =
@@ -75,8 +79,7 @@
         store.edit();
         EditableFeature feature = store.createNewFeature().getEditable();
         final Point geom =
-            GeometryLocator.getGeometryManager().createPoint(10.0, 10.0,
-                Geometry.SUBTYPES.GEOM2D);
+            geometryManager.createPoint(10.0, 10.0, Geometry.SUBTYPES.GEOM2D);
         feature.setGeometry("GEOMETRY", geom);
         store.insert(feature);
         store.finishEditing();
Index: branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15617Test.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15617Test.java	(revision 38082)
+++ branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15617Test.java	(revision 38083)
@@ -41,6 +41,7 @@
 import org.gvsig.fmap.geom.operation.GeometryOperation;
 import org.gvsig.fmap.geom.operation.GeometryOperationContext;
 import org.gvsig.fmap.geom.operation.fromjts.FromJTS;
+import org.gvsig.fmap.geom.type.GeometryType;
 import org.gvsig.tools.exception.BaseException;
 import org.gvsig.tools.library.impl.DefaultLibrariesInitializer;
 import org.gvsig.tools.visitor.VisitCanceledException;
@@ -57,11 +58,14 @@
     public void testBug15617() throws Exception {
         new DefaultLibrariesInitializer().fullInitialize();
         DataManager manager = DALLocator.getDataManager();
+        GeometryManager geometryManager = GeometryLocator.getGeometryManager();
 
         EditableFeatureType type = new DefaultEditableFeatureType();
+        GeometryType geometryType =
+            geometryManager.getGeometryType(Geometry.TYPES.POINT,
+                Geometry.SUBTYPES.GEOM2D);
         type.add("geom", org.gvsig.fmap.geom.DataTypes.GEOMETRY)
-            .setGeometryType(Geometry.TYPES.POINT)
-            .setGeometrySubType(Geometry.SUBTYPES.GEOM2D);
+            .setGeometryType(geometryType);
         type.setDefaultGeometryAttributeName("geom");
 //        type.add("float", DataTypes.FLOAT).setSize(5);
 //        type.add("double", DataTypes.DOUBLE).setSize(5);
@@ -87,7 +91,6 @@
         com.vividsolutions.jts.geom.Geometry g =
             new GeometryFactory().createPoint(new Coordinate(0, 0));
 
-        GeometryManager geometryManager = GeometryLocator.getGeometryManager();
         int opCode = geometryManager.getGeometryOperationCode(FromJTS.NAME);
         GeometryOperation converter =
             geometryManager.getGeometryOperation(opCode, Geometry.TYPES.POINT,
Index: branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15671Test.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15671Test.java	(revision 38082)
+++ branches/v2_0_0_prep/libraries/libFMap_dalfile/src-test/org/gvsig/fmap/dal/store/shp/Bug15671Test.java	(revision 38083)
@@ -36,6 +36,7 @@
 import org.gvsig.fmap.geom.GeometryLocator;
 import org.gvsig.fmap.geom.GeometryManager;
 import org.gvsig.fmap.geom.primitive.NullGeometry;
+import org.gvsig.fmap.geom.type.GeometryType;
 import org.gvsig.tools.exception.BaseException;
 import org.gvsig.tools.library.impl.DefaultLibrariesInitializer;
 import org.gvsig.tools.visitor.VisitCanceledException;
@@ -53,11 +54,14 @@
     public void testBug15671() throws Exception {
         new DefaultLibrariesInitializer().fullInitialize();
         DataManager manager = DALLocator.getDataManager();
+        GeometryManager geometryManager = GeometryLocator.getGeometryManager();
 
         EditableFeatureType type = new DefaultEditableFeatureType();
-        type.add("GEOMETRY", DataTypes.GEOMETRY)
-            .setGeometryType(Geometry.TYPES.POINT)
-            .setGeometrySubType(Geometry.SUBTYPES.GEOM2D);
+        GeometryType geometryType =
+            geometryManager.getGeometryType(Geometry.TYPES.POINT,
+                Geometry.SUBTYPES.GEOM2D);
+        type.add("geom", org.gvsig.fmap.geom.DataTypes.GEOMETRY)
+            .setGeometryType(geometryType);
         type.setDefaultGeometryAttributeName("GEOMETRY");
         type.add("double", DataTypes.DOUBLE);
 
@@ -76,7 +80,6 @@
 
         store.edit();
         EditableFeature feature = store.createNewFeature().getEditable();
-        GeometryManager geometryManager = GeometryLocator.getGeometryManager();
         NullGeometry geom =
             geometryManager.createNullGeometry(Geometry.SUBTYPES.GEOM2D);
         feature.setGeometry("GEOMETRY", geom);