Index: pom.xml
===================================================================
--- pom.xml	(revision 38097)
+++ pom.xml	(revision 38098)
@@ -1,175 +1,183 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
 
-    <modelVersion>4.0.0</modelVersion>
-    <artifactId>org.gvsig.ui</artifactId>
-    <packaging>jar</packaging>
-    <version>2.0.1-SNAPSHOT</version>
-    <name>libUIComponent</name>
-    <description>Swing components collection</description>
-    <parent>
-        <groupId>org.gvsig</groupId>
-        <artifactId>org.gvsig.maven.base.pom</artifactId>
-        <version>1.0.8-SNAPSHOT</version>
-    </parent>
-    <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/branches/v2_0_0_prep/libraries/libUIComponent</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/branches/v2_0_0_prep/libraries/libUIComponent</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-desktop/repository/show/branches/v2_0_0_prep/libraries/libUIComponent</url>
-    </scm>
-    <repositories>
-        <repository>
-            <id>gvsig-public-http-repository</id>
-            <name>gvSIG maven public HTTP repository</name>
-            <url>http://devel.gvsig.org/m2repo/j2se</url>
-            <releases>
-                <enabled>true</enabled>
-                <updatePolicy>daily</updatePolicy>
-                <checksumPolicy>warn</checksumPolicy>
-            </releases>
-            <snapshots>
-                <enabled>true</enabled>
-                <updatePolicy>daily</updatePolicy>
-                <checksumPolicy>warn</checksumPolicy>
-            </snapshots>
-        </repository>
-    </repositories>
-    <dependencyManagement>
-        <dependencies>
-            <dependency>
-                <groupId>org.gvsig</groupId>
-                <artifactId>org.gvsig.core.maven.dependencies</artifactId>
-                <version>2.0.1-SNAPSHOT</version>
-                <type>pom</type>
-                <scope>import</scope>
-            </dependency>
-        </dependencies>
-    </dependencyManagement>
-    <dependencies>
-        <dependency>
-            <groupId>org.gvsig</groupId>
-            <artifactId>org.gvsig.i18n</artifactId>
-            <scope>compile</scope>
-        </dependency>
-        <dependency>
-            <groupId>org.gvsig</groupId>
-            <artifactId>org.gvsig.tools.lib</artifactId>
-            <scope>compile</scope>
-        </dependency>
-        <dependency>
-            <groupId>jfree</groupId>
-            <artifactId>jcommon</artifactId>
-            <scope>compile</scope>
-        </dependency>
-        <dependency>
-            <groupId>jfree</groupId>
-            <artifactId>jfreechart</artifactId>
-            <scope>compile</scope>
-        </dependency>
-        <dependency>
-            <groupId>net.sf</groupId>
-            <artifactId>flib-jcalendar</artifactId>
-            <scope>compile</scope>
-        </dependency>
-        <dependency>
-            <groupId>jwizardcomponent</groupId>
-            <artifactId>jwizardcomponent</artifactId>
-            <scope>compile</scope>
-        </dependency>
-        <dependency>
-            <groupId>org.slf4j</groupId>
-            <artifactId>slf4j-api</artifactId>
-            <scope>compile</scope>
-        </dependency>
-    </dependencies>
-    <build>
-        <sourceDirectory>src</sourceDirectory>
-        <testSourceDirectory>src-test-ui</testSourceDirectory>
-        <resources>
-            <resource>
-                <directory>src</directory>
-                <includes>
-                    <include>**/*.gif</include>
-                    <include>**/*.png</include>
-                    <include>**/*.PNG</include>
-                    <include> **/*.bmp</include>
-                    <include> **/*.jpg</include>
-                    <include> **/*.jpeg</include>
-                    <include> **/*.properties</include>
-                </includes>
-            </resource>
-            <resource>
-                <targetPath>org/gvsig/gui/beans/resources/translations</targetPath>
-                <filtering>false</filtering>
-                <directory>${basedir}/config</directory>
-                <includes>
-                    <include>*.properties</include>
-                </includes>
-            </resource>
-        </resources>
-        <!-- TODO: MAKE TESTS WORK AND REMOVE THIS OPTION -->
-        <plugins>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-surefire-plugin</artifactId>
-                <configuration>
-                    <skipTests>true</skipTests>
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-compiler-plugin</artifactId>
-                <configuration>
-                    <testExcludes>
-                        <exclude>**</exclude>
-                    </testExcludes>
-                </configuration>
-            </plugin>
-        </plugins>
-    </build>
+	<modelVersion>4.0.0</modelVersion>
+	<artifactId>org.gvsig.ui</artifactId>
+	<packaging>jar</packaging>
+	<version>2.0.1-SNAPSHOT</version>
+	<name>libUIComponent</name>
+	<description>Swing components collection</description>
+	<parent>
+		<groupId>org.gvsig</groupId>
+		<artifactId>org.gvsig.maven.base.pom</artifactId>
+		<version>1.0.8-SNAPSHOT</version>
+	</parent>
+	<scm>
+		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/branches/v2_0_0_prep/libraries/libUIComponent</connection>
+		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/branches/v2_0_0_prep/libraries/libUIComponent</developerConnection>
+		<url>https://devel.gvsig.org/redmine/projects/gvsig-desktop/repository/show/branches/v2_0_0_prep/libraries/libUIComponent</url>
+	</scm>
+	<repositories>
+		<repository>
+			<id>gvsig-public-http-repository</id>
+			<name>gvSIG maven public HTTP repository</name>
+			<url>http://devel.gvsig.org/m2repo/j2se</url>
+			<releases>
+				<enabled>true</enabled>
+				<updatePolicy>daily</updatePolicy>
+				<checksumPolicy>warn</checksumPolicy>
+			</releases>
+			<snapshots>
+				<enabled>true</enabled>
+				<updatePolicy>daily</updatePolicy>
+				<checksumPolicy>warn</checksumPolicy>
+			</snapshots>
+		</repository>
+	</repositories>
+	<dependencyManagement>
+		<dependencies>
+			<dependency>
+				<groupId>org.gvsig</groupId>
+				<artifactId>org.gvsig.core.maven.dependencies</artifactId>
+				<version>2.0.1-SNAPSHOT</version>
+				<type>pom</type>
+				<scope>import</scope>
+			</dependency>
+		</dependencies>
+	</dependencyManagement>
+	<dependencies>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.i18n</artifactId>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.tools.lib</artifactId>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>jfree</groupId>
+			<artifactId>jcommon</artifactId>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>jfree</groupId>
+			<artifactId>jfreechart</artifactId>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>net.sf</groupId>
+			<artifactId>flib-jcalendar</artifactId>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>jwizardcomponent</groupId>
+			<artifactId>jwizardcomponent</artifactId>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.slf4j</groupId>
+			<artifactId>slf4j-api</artifactId>
+			<scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.gvsig.external</groupId>
+			<artifactId>org.gvsig.external.jump</artifactId>
+			<scope>compile</scope>
+			<version>1.0.0-SNAPSHOT</version>
+		</dependency>
+	</dependencies>
+	<build>
+		<sourceDirectory>src</sourceDirectory>
+		<testSourceDirectory>src-test-ui</testSourceDirectory>
+		<resources>
+			<resource>
+				<directory>src</directory>
+				<includes>
+					<include>**/*.gif</include>
+					<include>**/*.png</include>
+					<include>**/*.PNG</include>
+					<include> **/*.bmp</include>
+					<include> **/*.jpg</include>
+					<include> **/*.jpeg</include>
+					<include> **/*.properties</include>
+				</includes>
+			</resource>
+			<resource>
+				<targetPath>org/gvsig/gui/beans/resources/translations</targetPath>
+				<filtering>false</filtering>
+				<directory>${basedir}/config</directory>
+				<includes>
+					<include>*.properties</include>
+				</includes>
+			</resource>
+		</resources>
+		<!-- TODO: MAKE TESTS WORK AND REMOVE THIS OPTION -->
+		<plugins>
+			<plugin>
+				<groupId>org.apache.maven.plugins</groupId>
+				<artifactId>maven-surefire-plugin</artifactId>
+				<configuration>
+					<skipTests>true</skipTests>
+				</configuration>
+			</plugin>
+			<plugin>
+				<groupId>org.apache.maven.plugins</groupId>
+				<artifactId>maven-compiler-plugin</artifactId>
+				<configuration>
+					<testExcludes>
+						<exclude>**</exclude>
+					</testExcludes>
+				</configuration>
+			</plugin>
+		</plugins>
+	</build>
 
-    <profiles>
-        <profile>
-            <id>eclipse-project</id>
-            <build>
-                <plugins>
-                    <plugin>
-                        <artifactId>maven-antrun-plugin</artifactId>
-                        <configuration>
-                            <tasks>
-                                <ant antfile="${basedir}/../build/ant-tasks/eclipse-tasks.xml" target="eclipse.eclipse" />
-                            </tasks>
-                        </configuration>
-                        <dependencies>
-                            <dependency>
-                                <groupId>org.apache.ant</groupId>
-                                <artifactId>ant-trax</artifactId>
-                                <version>1.7.1</version>
-                            </dependency>
-                            <dependency>
-                                <groupId>xalan</groupId>
-                                <artifactId>xalan</artifactId>
-                                <version>2.6.0</version>
-                            </dependency>
-                        </dependencies>
-                    </plugin>
-                </plugins>
-            </build>
-        </profile>
-        <profile>
-            <id>gvsig-install</id>
-            <activation>
-                <activeByDefault>true</activeByDefault>
-            </activation>
-            <properties>
-                <!-- gvSIG installation folder -->
-                <gvsig.install.dir>${basedir}/../build/product
-                </gvsig.install.dir>
-            </properties>
-        </profile>
-    </profiles>
-    <properties>
-        <eclipse.project.name>libUIComponent</eclipse.project.name>
-    </properties>
+	<profiles>
+		<profile>
+			<id>eclipse-project</id>
+			<build>
+				<plugins>
+					<plugin>
+						<artifactId>maven-antrun-plugin</artifactId>
+						<configuration>
+							<tasks>
+								<ant antfile="${basedir}/../build/ant-tasks/eclipse-tasks.xml"
+									target="eclipse.eclipse" />
+							</tasks>
+						</configuration>
+						<dependencies>
+							<dependency>
+								<groupId>org.apache.ant</groupId>
+								<artifactId>ant-trax</artifactId>
+								<version>1.7.1</version>
+							</dependency>
+							<dependency>
+								<groupId>xalan</groupId>
+								<artifactId>xalan</artifactId>
+								<version>2.6.0</version>
+							</dependency>
+						</dependencies>
+					</plugin>
+				</plugins>
+			</build>
+		</profile>
+		<profile>
+			<id>gvsig-install</id>
+			<activation>
+				<activeByDefault>true</activeByDefault>
+			</activation>
+			<properties>
+				<!-- gvSIG installation folder -->
+				<gvsig.install.dir>${basedir}/../build/product
+				</gvsig.install.dir>
+			</properties>
+		</profile>
+	</profiles>
+	<properties>
+		<eclipse.project.name>libUIComponent</eclipse.project.name>
+	</properties>
 </project>
\ No newline at end of file