Index: branches/v2_0_0_prep/applications/appgvSIG/pom.xml
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/applications/appgvSIG/pom.xml	(revision 38251)
@@ -368,7 +368,7 @@
     <properties>
         <build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>appgvSIG</eclipse.project.name>
-        <package.info.state>devel</package.info.state>
+        <package.info.state>alpha5</package.info.state>
 
         <!-- Just in case, those are some available package info property values -->
         <!-- <package.info.state>alpha3</package.info.state> <package.info.official>true</package.info.official> 
Index: branches/v2_0_0_prep/libraries/libCorePlugin/pom.xml
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/pom.xml	(revision 38251)
@@ -57,7 +57,7 @@
 	<properties>
 		<build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>libCorePlugin</eclipse.project.name>
-        <package.info.state>devel</package.info.state>
+        <package.info.state>alpha5</package.info.state>
 	</properties>
 	<build>
 		<sourceDirectory>src</sourceDirectory>
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/pom.xml	(revision 38251)
@@ -82,7 +82,7 @@
         <module>org.gvsig.app.document.table.app.mainplugin</module>
     </modules>
     <properties>
-    	<package.info.state>devel</package.info.state>
+    	<package.info.state>alpha5</package.info.state>
     </properties>
 
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/pom.xml	(revision 38251)
@@ -104,6 +104,6 @@
 		<module>org.gvsig.newlayer.app.extension</module>
 	</modules>
 	<properties>
-		<package.info.state>devel</package.info.state>
+		<package.info.state>alpha5</package.info.state>
 	</properties>
 </project>
Index: branches/v2_0_0_prep/extensions/extCenterViewToPoint/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extCenterViewToPoint/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extCenterViewToPoint/pom.xml	(revision 38251)
@@ -86,7 +86,7 @@
 		<build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>extCenterViewToPoint</eclipse.project.name>
     	<package.info.dependencies>required: org.gvsig.app -ge 2</package.info.dependencies>
-    	<package.info.state>devel</package.info.state>
+    	<package.info.state>alpha5</package.info.state>
         <package.info.categories>Vector, View</package.info.categories>
 	</properties>
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/extHelp/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extHelp/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extHelp/pom.xml	(revision 38251)
@@ -73,7 +73,7 @@
 		<output-dir_installers>target/installers/
 		</output-dir_installers>
         <eclipse.project.name>extHelp</eclipse.project.name>
-        <package.info.state>devel</package.info.state>
+        <package.info.state>alpha5</package.info.state>
 	</properties>
 	<build>
 		<sourceDirectory>src</sourceDirectory>
Index: branches/v2_0_0_prep/extensions/extDataLocator/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extDataLocator/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extDataLocator/pom.xml	(revision 38251)
@@ -81,6 +81,6 @@
 		<build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>extDataLocator</eclipse.project.name>
     	<package.info.dependencies>required: org.gvsig.app -ge 2</package.info.dependencies>
-    	<package.info.state>devel</package.info.state>
+    	<package.info.state>alpha5</package.info.state>
 	</properties>
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/org.gvsig.mkmvnproject/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.mkmvnproject/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/org.gvsig.mkmvnproject/pom.xml	(revision 38251)
@@ -237,7 +237,7 @@
         </profile>
     </profiles>
     <properties>
-    	<package.info.state>devel</package.info.state>
+    	<package.info.state>alpha5</package.info.state>
         <package.info.categories>Development</package.info.categories>
     </properties>
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/pom.xml	(revision 38251)
@@ -70,6 +70,6 @@
 		<module>org.gvsig.geometrymeasurement.app.extension</module>
 	</modules>
 	<properties>
-		<package.info.state>devel</package.info.state>
+		<package.info.state>alpha5</package.info.state>
 	</properties>
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/extExpressionField/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extExpressionField/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extExpressionField/pom.xml	(revision 38251)
@@ -140,7 +140,7 @@
         <eclipse.project.name>extExpressionField</eclipse.project.name>
         <package.info.dependencies>required: org.gvsig.editing -ge 2, required: org.gvsig.app.document.table.app.mainplugin -ge 2</package.info.dependencies>
         <package.info.javaVM>j1_6</package.info.javaVM>
-        <package.info.state>devel</package.info.state>
+        <package.info.state>alpha5</package.info.state>
         <package.info.categories>Table</package.info.categories>
 	</properties>
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/pom.xml	(revision 38251)
@@ -100,6 +100,6 @@
 		<module>org.gvsig.hyperlink.app.extension</module>
 	</modules>
 	<properties>
-		<package.info.state>devel</package.info.state>
+		<package.info.state>alpha5</package.info.state>
 	</properties>
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/extGeoDB/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extGeoDB/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extGeoDB/pom.xml	(revision 38251)
@@ -145,7 +145,7 @@
         <build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>extGeoDB</eclipse.project.name>
         <package.info.dependencies>required: org.gvsig.app.document.table.app.mainplugin -ge 2</package.info.dependencies>
-        <package.info.state>devel</package.info.state>
+        <package.info.state>alpha5</package.info.state>
         <package.info.categories>Formats,Database</package.info.categories>
     </properties>
     <build>
Index: branches/v2_0_0_prep/extensions/extDalTransformEventTheme/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extDalTransformEventTheme/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extDalTransformEventTheme/pom.xml	(revision 38251)
@@ -124,6 +124,6 @@
 		<build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>extDalTransformEventTheme</eclipse.project.name>
         <package.info.dependencies>required: org.gvsig.daltransform.app.mainplugin -ge 2</package.info.dependencies>
-        <package.info.state>devel</package.info.state>
+        <package.info.state>alpha5</package.info.state>
 	</properties>
 </project>
Index: branches/v2_0_0_prep/extensions/extWFS2/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extWFS2/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extWFS2/pom.xml	(revision 38251)
@@ -169,7 +169,7 @@
     <properties>
         <build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>extWFS2</eclipse.project.name>
-        <package.info.state>devel</package.info.state>
+        <package.info.state>alpha5</package.info.state>
         <package.info.categories>Formats,Vector,OGC,Remote Services</package.info.categories>
     </properties>
     <build>
Index: branches/v2_0_0_prep/extensions/extDwg/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extDwg/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extDwg/pom.xml	(revision 38251)
@@ -135,7 +135,7 @@
 	<properties>
 		<build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>extDwg</eclipse.project.name>
-        <package.info.state>devel</package.info.state>
+        <package.info.state>alpha5</package.info.state>
         <package.info.categories>Formats,Vector</package.info.categories>
 	</properties>
 	<build>
Index: branches/v2_0_0_prep/extensions/extEditing/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extEditing/pom.xml	(revision 38251)
@@ -212,7 +212,7 @@
         <build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>extEditing</eclipse.project.name>
         <package.info.dependencies>required: org.gvsig.app.document.table.app.mainplugin -ge 2, required: org.gvsig.exportto.app.extension -ge 1</package.info.dependencies>
-        <package.info.state>devel</package.info.state>        
+        <package.info.state>alpha5</package.info.state>        
         <package.info.categories>View,Vector</package.info.categories>
     </properties>
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/org.gvsig.symbology.app/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.symbology.app/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/org.gvsig.symbology.app/pom.xml	(revision 38251)
@@ -75,6 +75,6 @@
 		<module>org.gvsig.symbology.app.symbolinstaller</module>
 	</modules>
 	<properties>
-		<package.info.state>devel</package.info.state>
+		<package.info.state>alpha5</package.info.state>
 	</properties>
 </project>
Index: branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/pom.xml	(revision 38251)
@@ -163,7 +163,7 @@
         <module>org.gvsig.exportto.app.extension</module>
     </modules>
     <properties>
-    	<package.info.state>devel</package.info.state>
+    	<package.info.state>alpha5</package.info.state>
     </properties>
 
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/extGPE-gvSIG/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extGPE-gvSIG/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extGPE-gvSIG/pom.xml	(revision 38251)
@@ -275,7 +275,7 @@
 	<properties>
 		<build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>extGPE-gvSIG</eclipse.project.name>
-        <package.info.state>devel</package.info.state>
+        <package.info.state>alpha5</package.info.state>
         <package.info.categories>Formats,Vector</package.info.categories>
 	</properties>
 </project>
Index: branches/v2_0_0_prep/extensions/org.gvsig.installer.app/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer.app/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer.app/pom.xml	(revision 38251)
@@ -69,6 +69,6 @@
 		<module>org.gvsig.installer.app.extension</module>
 	</modules>
 	<properties>
-		<package.info.state>devel</package.info.state>
+		<package.info.state>alpha5</package.info.state>
 	</properties>
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/org.gvsig.daltransform.app.mainplugin/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.daltransform.app.mainplugin/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/org.gvsig.daltransform.app.mainplugin/pom.xml	(revision 38251)
@@ -144,7 +144,7 @@
 	<properties>
 		<package.info.dependencies>required:
 			org.gvsig.app.document.table.app.mainplugin -ge 2</package.info.dependencies>
-		<package.info.state>devel</package.info.state>
+		<package.info.state>alpha5</package.info.state>
 	</properties>
 	<build>
 		<plugins>
Index: branches/v2_0_0_prep/extensions/extIconThemeBase/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extIconThemeBase/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extIconThemeBase/pom.xml	(revision 38251)
@@ -26,7 +26,7 @@
 	<properties>
 		<build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>extIconThemeBase</eclipse.project.name>
-        <package.info.state>devel</package.info.state>
+        <package.info.state>alpha5</package.info.state>
 	</properties>
 	<build>
 		<sourceDirectory>src</sourceDirectory>
Index: branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/pom.xml	(revision 38251)
@@ -55,7 +55,7 @@
 		<module>org.gvsig.selectiontools.app.extension</module>
 	</modules>
 	<properties>
-		<package.info.state>devel</package.info.state>
+		<package.info.state>alpha5</package.info.state>
 	</properties>
 
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.layout.app/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.layout.app/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.layout.app/pom.xml	(revision 38251)
@@ -84,6 +84,6 @@
 		<module>org.gvsig.app.document.layout.app.mainplugin</module>
 	</modules>
 	<properties>
-		<package.info.state>devel</package.info.state>
+		<package.info.state>alpha5</package.info.state>
 	</properties>
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/org.gvsig.annotation.app/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.annotation.app/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/org.gvsig.annotation.app/pom.xml	(revision 38251)
@@ -109,6 +109,6 @@
 		<module>org.gvsig.annotation.app.extension</module>
 	</modules>
     <properties>
-    	<package.info.state>devel</package.info.state>
+    	<package.info.state>alpha5</package.info.state>
     </properties>
 </project>
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/extDalTransformJoin/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extDalTransformJoin/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extDalTransformJoin/pom.xml	(revision 38251)
@@ -144,6 +144,6 @@
 		<build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>extDalTransformJoin</eclipse.project.name>
         <package.info.dependencies>required: org.gvsig.daltransform.app.mainplugin -ge 2</package.info.dependencies>
-        <package.info.state>devel</package.info.state>
+        <package.info.state>alpha5</package.info.state>
 	</properties>
 </project>
Index: branches/v2_0_0_prep/extensions/extI18n/pom.xml
===================================================================
--- branches/v2_0_0_prep/extensions/extI18n/pom.xml	(revision 38250)
+++ branches/v2_0_0_prep/extensions/extI18n/pom.xml	(revision 38251)
@@ -37,7 +37,7 @@
 	<properties>
 		<build-dir>${basedir}/../build</build-dir>
         <eclipse.project.name>extI18n</eclipse.project.name>
-        <package.info.state>devel</package.info.state>
+        <package.info.state>alpha5</package.info.state>
         <package.info.categories>Internationalization</package.info.categories>
 	</properties>
 	<dependencies>